define([
	"dojo/_base/declare",
	"dojo/_base/lang",
	"thornberry/app/Component/BillingManagement/BilledClaimsView",
	"thornberry/app/utils"
],function(
	declare,
	lang,
	BilledClaimsView,
	utils
) {
	var canPostToAR = false;
	utils.checkPermission("BillingPostClaimsToAR",false).then(function(allowed){canPostToAR=!!allowed});
	
	return declare(BilledClaimsView,{
		title: "Billed Demand Claims",

		getInitialProps: function() {
			return lang.mixin(this.inherited(arguments),{
				reportClass: "Billing.Report.BilledDemandClaims",
				filters: null
			});
		}
	});
});