define([
	"dojo/_base/declare",
	"dojo/_base/lang",
	"thornberry/app/Component/BillingManagement/UnbilledClaimsView",
	"thornberry/app/utils"
],function(
	declare,
	lang,
	UnbilledClaimsView,
	utils
) {
	var canPostToAR = false;
	var canOverrideRTB = false;
	utils.checkPermission("BillingPostClaimsToAR",false).then(function(allowed){canPostToAR=!!allowed});
	utils.checkPermission("BillingOverrideRTB",false).then(function(allowed){canOverrideRTB=!!allowed});

	return declare(UnbilledClaimsView,{
		title: "Unbilled Demand Claims",

		getInitialProps: function() {
			return lang.mixin(this.inherited(arguments),{
				reportClass: "Billing.Report.UnbilledDemandClaims",
				filters: null
			});
		}
	});
});